> For the complete documentation index, see [llms.txt](https://docs.zealy.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zealy.io/api-reference/leaderboards/retrieve-a-leaderboard.md).

# Retrieve a leaderboard

## Overview

This endpoint allows you to retrieve a leaderboard from a community. The page and limit query parameters are required.

By default, the endpoint returns the all time leaderboard. You can retrieve a sprint leaderboard by specifying the `sprintId` in the query parameters.

To get the ID of a sprint, head to:

{% content-ref url="/pages/kmdvuFqWHkWKb0tzWkM1" %}
[List sprints](/api-reference/leaderboards/list-sprints.md)
{% endcontent-ref %}

## The leaderboard record object

***

**userId** - *String*

Zealy ID of the user

***

**name** - *String*

Zealy username of the user

***

**connectedWallet** - *String*

This field holds the address of the wallet the user connected to Zealy

***

**address** - *String*

Wallet address of the user on the blockchain the community is on. When the blockchain is one we support, the user is required to connect a wallet. In that case, the address ownership is verified.

When it's not a blockchain we support, the user manually enters the address. In that case, we can't assure the ownership.

List of supported blockchains: Ethereum, Optimism, Arbitrum, Polygon, Base, Solana, Binance Smart Chain (BNB), Linea, Avalanche, Fantom, Cronos, Palm, Gnosis, Chiliz, Moonbeam, Polygon zkEVM, zkSync, and TON.

***

**xp** - *Number*

XP of the user in the leaderboard

***

**avatar** - *String*

URL of the user's avatar

***

**twitterId** - *String*

Twitter ID of the user

***

**twitterUsername** - *String*

Twitter username of the user

***

**discordHandle** - *String*

Discord handle of the user

***

**discordId** - *String*

Discord ID of the user

***

**email** - *String*

Email of the user

***

## API Reference

{% openapi src="<https://api-v2.zealy.io/swagger.json>" path="/public/communities/{subdomain}/leaderboard" method="get" %}
<https://api-v2.zealy.io/swagger.json>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zealy.io/api-reference/leaderboards/retrieve-a-leaderboard.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
